phpLDAPadmin

# Class: xml2array

Source Location: /templates/3rdParty/pla/lib/xml2array.php

### Class Overview

XML Parser

### Variables

- $arrOutput
- $resParser
- $stack
- $stack_ref
- $strXmlData

### Methods

- parseXML

### Class Details

[line 17]
XML Parser

This will read our XML file and convert it into variables for us to parse.

[ Top ]

### Class Variables

#### $arrOutput = array()

[line 20]

Type: | mixed

[ Top ]

#### $resParser =

[line 21]

Type: | mixed

[ Top ]

#### $stack = array()

[line 18]

Type: | mixed

[ Top ]

#### $stack_ref =

[line 19]

Type: | mixed

[ Top ]

#### $strXmlData =

[line 22]

Type: | mixed

[ Top ]

### Class Methods

### method parseXML [line 34]

`void parseXML( $strInputXML, $filename)`

#### Tags:

access: | public

#### Parameters:

| $strInputXML |
| $filename |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:16 +0100 by phpDocumentor 1.4.1